<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="EstadisticasComposiciones.aspx.cs" Inherits="Seven.Front.EstadisticasComposiciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("EstadisticasComposiciones") %></title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del jqGrid para EC */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetEC() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasComposiciones',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgEC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgEC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutEC(id, titulo, report, cierre, bmulti, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutEstadisticasComposiciones',
                data: {
                    "id_clist": id, "titulo": titulo, "report": report, "cierre": cierre, "bmulti": bmulti, "eliminado": eliminado
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementEC').val(0);
                            BotonDefaultEC();
                            RefreshGridEC();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultEC();
                                RefreshGridEC();
                            }
                            else {
                                $('#IdSubElementEC').val(res);
                                BotonDefaultEC();
                                RefreshGridEC();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function ReportButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick=\"OpenReport(" + rowObject[0] + ");\" ><img src='img/report.png' /></button>";
        };

        function OpenReport(id)
        {
            window.open('Informe.aspx?r=400&id=' + id + '&s=' + $('#txtFecIni').val() + '&f=' + $('#txtFecFin').val(), '_blank')
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridEC() {

            var lselEC;
            var colMap = {};
            $("#jqgEC").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: ['', '<%=L.LBL("LblGENTitulo") %>', '<%=L.LBL("LblGENReporte") %>', '<%=L.LBL("LblFDKImprCierre") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'titulo', index: 'titulo', width: 55, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'report', index: 'report', width: 30, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'cierre', index: 'cierre', width: 15, editable: true, search: false, align: 'center'
                                , edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, formatoptions: { disabled: true }
                            },
                            { name: 'bmulti', index: 'bmulti', width: 10, editable: true, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 5, editable: false, formatter: ReportButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselEC) && !isNaN(id)) {
                            $("#jqgEC").jqGrid('delRowData', lselEC);
                            //$('#jqgEC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgEC").jqGrid('getRowData', id);

                            $('#jqgEC').jqGrid('restoreRow', lselEC);

                            $('#IdSubElementEC').val(ret.Id);
                        }
                        else {
                            BotonNuevoEC();
                        }

                        $('#jqgEC').jqGrid('editRow', id, true, EventsEC);

                        lselEC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselEC)) {
                            $("#jqgEC").jqGrid('delRowData', lselEC);
                            $('#jqgEC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgEC').jqGrid('saveRow', lselEC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgEC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgEC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextEC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconEC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextEC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconEC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgEC').jqGrid('setSelection', id); 

                        BotonSelectEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgEC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementEC').val()) == 0) {
                            $('#IdSubElementEC').val($("#jqgEC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgEC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgEC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgEC').jqGrid('setSelection', $('#IdSubElementEC').val());
                    if (parseInt($('#IdSubElementEC').val()) != 0) {
                        BotonSelectEC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgEC").jqGrid('navGrid','#PaginadorEC',{del:false,add:false,edit:false,search:false});
            $("#bsdataEC").click(function () {
                jQuery("#jqgEC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsEC(id) {
            $("#" + id + "_titulo").on('input', function () { BotonGuardarEC(); });
            $("#" + id + "_report").on('input', function () { BotonGuardarEC(); });
            $("#" + id + "_cierre").on('change', function () { BotonGuardarEC(); });
            $("#" + id + "_bmulti").on('change', function () { BotonGuardarEC(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarEC(); });
        }

        function EventsNewEC() {
            var selr = jQuery('#jqgEC').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_titulo").on('input', function () { BotonGuardarEC(); });
            $("#" + selr + "_report").on('input', function () { BotonGuardarEC(); });
            $("#" + selr + "_cierre").on('change', function () { BotonGuardarEC(); });
            $("#" + selr + "_bmulti").on('change', function () { BotonGuardarEC(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarEC(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridEC() {
            $("#jqgEC").jqGrid("setGridParam", { datatype: "json", datatype: GetEC, loadonce: true });
            $("#jqgEC").trigger("reloadGrid");
            $("#jqgEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateEC() {
            $('#IdSubElementEC').val(0);
            $("#jqgEC").jqGrid('addRow', {
                initdata: { 'Id': '0' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonNuevoEC();
            EventsNewEC();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveEC() {
            var id = $("#jqgEC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutEC(id, $('#' + id + '_titulo').val(), $('#' + id + '_report').val(), $('#' + id + '_cierre:checked').val(), $('#' + id + '_bmulti:checked').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteEC() {
            var id = $("#jqgEC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutEC(id, $('#' + id + '_titulo').val(), $('#' + id + '_report').val(), $('#' + id + '_cierre:checked').val(), $('#' + id + '_bmulti:checked').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelEC() {
            var id = $("#jqgEC").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgEC').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultEC();
        }

        function BotonDefaultEC() {
            $('#btnNuevoEC').button('enable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('disable');
        }

        function BotonNuevoEC() {
            $('#btnNuevoEC').button('disable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('enable');
        }

        function BotonSelectEC() {
            $('#btnNuevoEC').button('enable');
            var id = $("#jqgEC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarEC').button('enable');
            }
            else {
                $('#btnEliminarEC').button('disable');
            }
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('disable');
        }

        function BotonGuardarEC() {
            $('#btnNuevoEC').button('disable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('enable');
            $('#btnCancelarEC').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Listado.aspx?r=3&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridEC();

            BotonDefaultEC();

            RefreshGridEC();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="EstadisticasComposiciones.aspx"><%=L.TIT("EstadisticasComposiciones") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("EstadisticasComposiciones") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultEC();RefreshGridEC();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-EstadisticasComposiciones/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENStart") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                        <td>
                            <%=L.LBL("LblGENEnd") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                    </tr>
                </table>

                <br />
                            
                <input type="hidden" id="IdSubElementEC" value="0" />
                <table id="jqgEC"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataEC" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoEC" onclick="CreateEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarEC" onclick="DeleteEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconEC" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextEC"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarEC" onclick="SaveEC();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarEC" onclick="CancelEC();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

